From cdbb5e6459bb3d1b8721320177115cd6d130d773 Mon Sep 17 00:00:00 2001
From: Nicolas ROCHE <nroche@entrouvert.com>
Date: Thu, 8 Dec 2022 12:21:04 +0100
Subject: [PATCH 7/7] toulouse-maelis: update referentials on functests
 (#70982)

---
 functests/toulouse_maelis/conftest.py         |    17 +-
 .../data/test_read_category_list.json         |    12 +-
 .../data/test_read_child-indicator_list.json  |    66 +-
 .../data/test_read_civility_list.json         |     8 +-
 .../data/test_read_country_list.json          |  1070 +-
 .../data/test_read_csp_list.json              |   116 +-
 .../data/test_read_dietcode_list.json         |    48 +-
 .../data/test_read_organ_list.json            |   548 +-
 .../data/test_read_pai_list.json              |    16 +-
 .../data/test_read_quality_list.json          |    72 +-
 .../data/test_read_quotient_list.json         |    24 +-
 .../data/test_read_rl-indicator_list.json     |    24 +-
 .../data/test_read_situation_list.json        |    36 +-
 .../data/test_read_street_list.json           | 14230 +++++++++++-----
 .../data/test_read_vaccin_list.json           |    80 +-
 functests/toulouse_maelis/test_family.py      |     2 +-
 16 files changed, 10968 insertions(+), 5401 deletions(-)

diff --git a/functests/toulouse_maelis/conftest.py b/functests/toulouse_maelis/conftest.py
index d3625bee..226b1ace 100644
--- a/functests/toulouse_maelis/conftest.py
+++ b/functests/toulouse_maelis/conftest.py
@@ -1,14 +1,15 @@
 import copy
 import datetime
 import json
 import os
 import subprocess
 import time
+from urllib import parse as urlparse
 from uuid import uuid4
 
 import pytest
 import requests
 from django.core.serializers.json import DjangoJSONEncoder
 from zeep.helpers import serialize_object
 
 FAMILY_PAYLOAD = {
@@ -308,17 +309,29 @@ def diff_family(conn, name_id, expected_file, key=None):
 
 
 @pytest.fixture(scope='session')
 def conn(request):
     return request.config.getoption('--url')
 
 
 @pytest.fixture(scope='session')
-def create_data(request, conn):
+def referentials(conn):
+    url = urlparse.urlparse(conn)
+    slug = url.path.split('/')[2]
+    cmd = (
+        'passerelle-manage tenant_command cron -v2 --connector toulouse-maelis daily --connector-slug %s --domain %s'
+        % (slug, url.netloc)
+    )
+    output = subprocess.run(cmd, shell=True, check=False, stdout=None, stderr=None)
+    assert output.returncode == 0, 'fails to run cron: %s' % cmd
+
+
+@pytest.fixture(scope='session')
+def create_data(request, conn, referentials):
     name_id = request.config.getoption('--nameid')
     unlink(conn, name_id)
     lastname = uuid4().hex[0:30]
 
     # create family
     create_family_payload = copy.deepcopy(FAMILY_PAYLOAD)
     del create_family_payload['childList'][1]  # without Lisa
     del create_family_payload['rl2']  # without Homer
@@ -339,17 +352,17 @@ def create_data(request, conn):
         'family_id': str(create_result['data']['number']),
         'lastname': lastname,
         'family_payload': create_family_payload,
         'data': data,
     }
 
 
 @pytest.fixture(scope='session')
-def update_data(request, conn):
+def update_data(request, conn, referentials):
     name_id = request.config.getoption('--nameid')
     unlink(conn, name_id)
 
     debug = False  # True allow to create then update a new family
     if debug:
         lastname = 'something new'
         FAMILY_PAYLOAD['rl1']['lastname'] = lastname
         FAMILY_PAYLOAD['rl2']['lastname'] = lastname
diff --git a/functests/toulouse_maelis/test_family.py b/functests/toulouse_maelis/test_family.py
index 7418b996..feccac85 100644
--- a/functests/toulouse_maelis/test_family.py
+++ b/functests/toulouse_maelis/test_family.py
@@ -143,17 +143,17 @@ FAMILY_RESET_PAYLOAD = {
         'quality',
         'quotient',
         'rl-indicator',
         'situation',
         'street',
         'vaccin',
     ],
 )
-def test_referentials(conn, ref):
+def test_referentials(conn, referentials, ref):
     url = conn + '/read-%s-list' % ref
     resp = requests.get(url)
     resp.raise_for_status()
     res = resp.json()
     assert res['err'] == 0
     assert len(res['data']) > 1
     for item in res['data']:
         assert 'id' in item
-- 
2.30.2

